Subject: Re: [PATCH] gitweb: use action dispatcher for non-project actions, too.

From: Jakub Narebski <[email-masked]>
Date: Thu, 17 Aug 2006 22:00:50 +0200

Martin Waitz wrote:

> hoi :)
> 
> On Thu, Aug 17, 2006 at 11:41:43AM +0200, Jakub Narebski wrote:
>> > Project list and OPML generation are now hooked into the list as
>> > "/summary" and "/opml".
>> 
>> It would be better to use "/list" or "/projects", although empty or 
>> undef or "/" action would work as well.
>> 
>> Having both "/summary" (for projects list) and "summary" (for project
>> summary) is bad, bad idea.
> 
> well, it was a little trick so that only one default action "summary"
> is needed.  I have no strong feelings about it so any other name is
> good for me, too.

if (defined $project) { # with the patch that undef $project when empty
        $action ||= "summary";
} else {
        $action ||= "/projects_list"; # or simply "projects_list", or "/"
}

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git